> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/parameter-group/remove-parameter-from-group.md).

# Remove parameter from group

## Remove parameter from a parameter group

> RemoveParameterFromGroup\
> Removes the association between a parameter definition and the specified parameter group.\
> The parameter definition itself is not deleted and can still be used with other groups.\
> Returns 204 No Content on successful removal.\
> Available for Operations accounts with helpdesk administration permissions.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.9.245-gd8302a06"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/helpdesk/parameter-groups/{groupId}/parameters/{id}":{"delete":{"tags":["OrderedParameterDefinition"],"summary":"Remove parameter from a parameter group","description":"RemoveParameterFromGroup\nRemoves the association between a parameter definition and the specified parameter group.\nThe parameter definition itself is not deleted and can still be used with other groups.\nReturns 204 No Content on successful removal.\nAvailable for Operations accounts with helpdesk administration permissions.","parameters":[{"name":"groupId","in":"path","description":"The unique identifier of the parameter group","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"The unique identifier of the parameter to remove","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/parameter-group/remove-parameter-from-group.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
